//characteristic length
lc = 0.00199526;

//domain corners, domain = [0,1] x [0,1]
Point(1) = {0, 0, 0, lc};
Point(2) = {1, 0, 0, lc};
Point(3) = {1, 1, 0, lc};
Point(4) = {0, 1, 0, lc};

//points for interface x = 0.5
Point(5) = {0.5, 0, 0, lc};
Point(6) = {0.5, 1, 0, lc};
Point(7) = {0.5, 0.5, 0, lc};

//domain outline
Line(1) = {1, 5};
Line(2) = {5, 2};
Line(3) = {2, 3};
Line(4) = {3, 6};
Line(5) = {6, 4};
Line(6) = {4, 1};

//interface outline
Line(7) = {5, 6};

//curve loops
Curve Loop(1) = {1:6}; //domain boundary

//surfaces
Plane Surface(1) = {1};
Physical Surface(1) = {1};

Curve{7} In Surface{1};
Physical Curve(2) = {7};
